Ask Your Question
0

Build error with android_core

asked 2012-06-20 13:42:22 -0500

zirbinator gravatar image

updated 2014-01-28 17:12:45 -0500

ngrennan gravatar image

I am trying to install rosjava and android_core for an Android project that must get data from ROS and send service calls. The rosjava_core installation worked (eventually, there were other problems there that appear to have been resolved), but the android_core build has errors.

So far, I have installed rosjava_core, following the instructions here, and built it with the instructions here. Next, I successfully installed android_core with these instructions and moved on to building rosjava_core with the instructions found here.

However, the command ./gradlew debug fails with this output:

:android_acm_serial:deployLibs UP-TO-DATE
:android_acm_serial:updateProject
Updated local.properties
Updated file /homes/dzirbel/my_workspace/android_core/android_acm_serial/proguard-project.txt
:android_gingerbread_mr1:deployLibs UP-TO-DATE
:android_gingerbread_mr1:updateProject
Error: The project either has no target set or the target is invalid.
Please provide a --target to the 'android update' command.
:android_gingerbread_mr1:debug
Buildfile: build.xml does not exist!
Build failed

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':android_gingerbread_mr1:debug'.
> Command 'ant' finished with (non-zero) exit value 1.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2.355 secs

(I can post the extended output from --info if it's necessary, but I can't discern any additional info from that.)

I've run through the installation several times with a couple different changes, but nothing seems to work. A number of google searches have also yielded no help, and I can't find anyone with a similar error. Am I doing something incorrectly or am I missing some package? I would appreciate any suggestions.

Thanks

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2012-06-21 04:48:16 -0500

zirbinator gravatar image

I found the solution to this problem, very similar to the one in this thread. I simply changed android_tutorial_camera from that thread to android_gingerbread_mr1 and ran ./gradlew debug again, and it seemed to get past that part. I also had to add every other directory in the android_core folder, but then it built successfully.

Hope this helps someone.

edit flag offensive delete link more
1

answered 2012-07-02 23:10:05 -0500

damonkohler gravatar image

The problem was probably that you didn't have the specified target (android-10 in this case) installed. You can of course change the target to one that you have installed, however is should be greater than the one specified in the existing project.properties file.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2012-06-20 13:42:22 -0500

Seen: 1,065 times

Last updated: Jul 02 '12